프로그램 사용/wiki2010.11.22 11:36
mediawiki는 현재 1.16 버전이고
fckeditor는 1.15 버전까지만 통합이 되어있다.
그런 이유로 현재로서는 svn repository에서 REL-1.15 계열을 받아주어야 한다.

mediawiki/LocalSettings.php
 require_once("$IP/extensions/FCKeditor/FCKeditor.php");
 $wgUseAjax = 'true';
[링크 : http://mediawiki.fckeditor.net/index.php/FCKeditor_integration_guide]

mediawiki/extensions/FCKeditor/FCKeditor.body.php 에서 &를 삭제(206Line)
 public function onCustomEditor(&$article, &$user) {
[링크 : http://dev.ckeditor.com/ticket/3530]



다운로드 링크
FCKEditor + mediaWiki extension
  http://mediawiki.fckeditor.net/nightly/svn/mediawiki_fckeditor_ext_N.tar.gz (Size 1 MB, FCKeditor 2.6.4 included).
신고
Posted by 구차니

댓글을 달아 주세요